Package com.collibra.dgc.core.api.dto.viewpermission

# Class FindViewPermissionRequest

Object
PagedRequest
FindViewPermissionRequest

All Implemented Interfaces:
  `Serializable`

public class FindViewPermissionRequest extends PagedRequest
Search criteria for finding view permissions.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `FindViewPermissionRequest.Builder`

- ## Field Summary

  ### Fields inherited from class PagedRequest

  `countLimit, limit, offset`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FindViewPermissionRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static FindViewPermissionRequest.Builder`
  `builder()`
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `String`
  `getResourceDiscriminator()`
  `UUID`
  `getResourceId()`
  `ResourceType`
  `getResourceType()`
  Deprecated.
  Filtering for resourceType should not apply to view permissions.
  `UUID`
  `getUserGroupId()`
  `UUID`
  `getUserId()`
  `int`
  `hashCode()`
  `boolean`
  `isIncludeInherited()`
  `void`
  `setIncludeInherited(boolean includeInherited)`
  `void`
  `setResourceDiscriminator(String resourceDiscriminator)`
  `void`
  `setResourceId(UUID resourceId)`
  `void`
  `setResourceType(ResourceType resourceType)`
  Deprecated.
  Filtering for resourceType should not apply to view permissions.
  `void`
  `setUserGroupId(UUID userGroupId)`
  `void`
  `setUserId(UUID userId)`
  `String`
  `toString()`

  ### Methods inherited from class PagedRequest

  `getCountLimit, getLimit, getOffset, isPagingActive, setCountLimit, setLimit, setOffset`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### FindViewPermissionRequest

    public FindViewPermissionRequest()

- ## Method Details

  - ### builder

    public static FindViewPermissionRequest.Builder builder()

  - ### getUserId

    public UUID getUserId()

  - ### getUserGroupId

    public UUID getUserGroupId()

  - ### getResourceId

    public UUID getResourceId()

  - ### getResourceType

    @Deprecated public ResourceType getResourceType()
    Deprecated.
    Filtering for resourceType should not apply to view permissions.

  - ### getResourceDiscriminator

    public String getResourceDiscriminator()

  - ### isIncludeInherited

    public boolean isIncludeInherited()

  - ### setUserId

    public void setUserId(UUID userId)

  - ### setUserGroupId

    public void setUserGroupId(UUID userGroupId)

  - ### setResourceId

    public void setResourceId(UUID resourceId)

  - ### setResourceType

    @Deprecated public void setResourceType(ResourceType resourceType)
    Deprecated.
    Filtering for resourceType should not apply to view permissions.

  - ### setResourceDiscriminator

    public void setResourceDiscriminator(String resourceDiscriminator)

  - ### setIncludeInherited

    public void setIncludeInherited(boolean includeInherited)

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `PagedRequest`

  - ### canEqual

    protected boolean canEqual(Object other)
    Overrides:
      `canEqual` in class `PagedRequest`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `PagedRequest`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `PagedRequest`